<!DOCTYPE html>
<html>
<head>
<meta charset="utf-8" />
<meta http-equiv="content-language" content="en-US">
<meta name="viewport" content="width=device-width, initial-scale=1">
<title>Best Free Android Apps Games and Live Wallpapers - TipTopTale.com</title>
<meta name="keywords" content="Free Android Apps, Top Free Apps, Best Android Apps, Best Android Games, Live Wallpapers, Daily new updates">
<meta name="description" content="Tiptoptale is the never ending tale of best apps, games and live wallpapers available in android play store. These Apps are not only free but also worth downloading.">
<meta name="format-detection" content="telephone=no">

<link href="jqm/jquery.mobile.custom.theme.min.css" rel="stylesheet">
<link href="jqm/jquery.mobile.custom.structure.min.css" rel="stylesheet">

<link href="css/style.css" rel="stylesheet">
<script src="jquery/jquery-1.10.1.min.js"></script>
<script>
$(document).bind("mobileinit", function(){
	$.mobile.defaultDialogTransition = 'none';
	$.mobile.defaultPageTransition = 'none';
    $.mobile.buttonMarkup.hoverDelay = 0;
});
</script>
<script src="jqm/jquery.mobile.custom.min.js"></script>

<link href="jquery/jRating.jquery.css" rel="stylesheet">
<script src="jquery/jRating.jquery.min.js"></script>
<script src="GALocalStorage.js"></script>
<script>
    ga_storage._setAccount('UA-42774017-1');
	ga_storage._setDomain('none');
    ga_storage._trackPageview('/main.html');	
</script>

<script src="phonegap.js"></script>
<script src="jquery/jquery.tmpl.js"></script>
<script src="jquery/jquery.lazyload.js"></script>
<script src="jquery/jquery.scrollstop.js"></script>
<script src="SocialSharing.js"></script>

<script src="script/FastClick.js"></script>
</head>

<body>
<div data-role="page" data-theme="a" id="jqm-home" data-title="Best Free Android Apps Games and Live Wallpapers - TipTopTale.com">
	<aside data-role="panel" data-position-fixed="true" id="leftPanel" data-position="left" data-display="push" data-theme="a" data-animate="false">
    	<ul>
        	<li>Sort by</li>
        	<li style="border-color:#161925"><a onClick="javascript:sortApp('new');return false;" style="border:0"><span class="ico latest"></span>New Releases <span class="bubble newReleasesSort"></span></a></li>
            <li><a onClick="javascript:sortApp('developer');return false;"><span class="ico top"></span>Top Developer <span class="bubble topSort"></span></a></li>
            <li><a onClick="javascript:sortApp('game');return false;"><span class="ico games"></span>Games <span class="bubble gameSort"></span></a></li>
            <li><a onClick="javascript:sortApp('wallpaper');return false;"><span class="ico live"></span>Live Wallpapers <span class="bubble lpwSort"></span></a></li>
            <li><a onClick="javascript:sortApp('widget');return false;"><span class="ico apps"></span>Widgets <span class="bubble widgetSort"></span></a></li>
			<li><a onClick="javascript:sortApp('multi');return false;"><span class="ico multi"></span>Multiplayer <span class="bubble multiSort"></span></a></li>
			<li class="last fblike"><a href="fb://page/601852893221665"></a></li>
			<li class="last" style="width:55%"><a class="padding f14" href="market://details?id=com.phonegap.tiptoptale">Rate this App!</a></li>
			<li class="last" style="width:45%; right:0; left:auto"><a href="mailto:tiptoptale@gmail.com" class="f14">Report a Problem</a></li>
        </ul>
		<a data-rel="close"></a>
	</aside>
	
	<aside data-role="panel" data-position-fixed="true" id="rightPanel" data-position="right" data-theme="a" data-animate="false" data-display="push" data-swipe-close="false">
    	<ul id="quick-search" data-filter-reveal="true" data-role="listview" data-filter="true" data-filter-placeholder="Search Apps, Games, Widgets..." data-inset="false">
        </ul>
		<a data-rel="close"></a>
	</aside>
	
    <header data-role="header" data-position="fixed" data-tap-toggle="false" class="ui-mobile-nosupport-boxshadow" data-fullscreen="false">
        <a data-role="button" href="#leftPanel">
            <span class="ico opt"></span>
        </a>
		<a data-role="button" href="#rightPanel" id="search">
			<span class="ico srch"></span>
        </a>
        <span class="ui-title">
        	<span class="logo"></span>
        </span>
        <div data-role="navbar">
            <ul>
                <li id="first"><a onClick="javascript:sortApp('recent');return false;">RECENT</a></li>
                <li id="second"><a onClick="javascript:sortApp('game');return false;">GAMES</a></li>
                <li><a onClick="javascript:sortApp('app');return false;">APPS</a></li>
            </ul>
        </div>
        
        <div class="bar" id="loading">Updating New Apps</div>
        <div class="bar" style="display:none">Network Not Available</div>
    </header>
    <div data-role="content" style="padding:18px 7px">
		<ul data-role="listview" data-inset="false" id="data-list">
		</ul>
		<div id="load-list"><span></span></div>
    </div>
</div>

<div id="rateApp" data-role="dialog" data-theme="a" data-title="Rate App! - TipTopTale.com" data-url="Rate App">
	<div data-role="header">
		<h1>Rate App!</h1>
	</div>
	<div data-role="content">
		<p class="f16 cdgray" style="line-height:20px">Would you be so kind as to rate our app in the market before leaving?</p>
	</div>
	<div data-role="navbar">
		<ul>
			<li><a id="skip">Exit</a></li>
			<li><a id="okApp">Sure</a></li>
		</ul>
	</div>
</div>

<script>
	var allApplist=null;
	$(document).on("pageinit","#jqm-home", function(event){
		allApplist=$.merge($.merge([],_latest ),_applist);
		sortApp('recent');
		filterApp();
		
		$('#first a').addClass('slt');
				
		$("#rightPanel").on("panelopen", function(event, ui){$('#search').addClass('slt');});
		$("#rightPanel").on("panelclose", function(event, ui){$('#search').removeClass('slt');});
		
		$("#searchTemplate").tmpl(allApplist).appendTo("#quick-search").trigger('create');
		
		$('.ui-navbar a').on("vclick",function() {
			$(this).addClass('slt');
		});
		
		$("#rightPanel").panel({
			open: function(event, ui){
				$("#jqm-home").find('input:first').focus();
			}
		});
		
		setTimeout(function () {
			var script = document.createElement('script');
			script.src = "http://www.tiptoptale.com/jquery/data/tmplLatest.js";
			document.getElementsByTagName('body')[0].appendChild(script);
			$('#loading').show();
		}, 6000);
		
		$('#okApp').on("vclick",function(){
			navigator.app.exitApp();
			window.location='market://details?id=com.phonegap.tiptoptale';
		});
		
		$("#rateApp").dialog({closeBtn:"none"});
		$('#skip').on("vclick",function(){
			navigator.app.exitApp();
		});
		
		if(navigator.userAgent.match(/Android/i)){
			$(".padding").css("padding-left","35px");
		}
		else{
			$(".fblike").hide();
		}
	});
	
	function filterApp(filterType){
		var filterlist=$.grep(allApplist,function(n,i){return n.category=='game'; });
		$('span.gameSort').html(filterlist.length);
		
		filterlist=$.grep(allApplist,function(n,i){return n.top=='developer'; });
		$('span.topSort').html(filterlist.length);
		
		filterlist=$.grep(allApplist,function(n,i){return n.live=='wallpaper'; });
		$('span.lpwSort').html(filterlist.length);
		
		filterlist=$.grep(allApplist,function(n,i){return n.widget=='widget'; });
		$('span.widgetSort').html(filterlist.length);
		
		filterlist=$.grep(allApplist,function(n,i){return n.newApp=='new'; });
		$('span.newReleasesSort').html(filterlist.length);

		filterlist=$.grep(allApplist,function(n,i){return n.multi=='multi'; });
		$('span.multiSort').html(filterlist.length);
	};
	
	function sortApp(sortType){
		$('.ui-navbar a').removeClass('slt');
		
		var applist;
		switch(sortType){		
			case "game":
			$("#leftPanel").panel("close");
			case "app": applist=$.grep(allApplist,function(n,i){return n.category==sortType; });			
			break;
			case "developer": applist=$.grep(allApplist,function(n,i){return n.top==sortType; });
			$("#leftPanel").panel("close");
			break;
			case "wallpaper": applist=$.grep(allApplist,function(n,i){return n.live==sortType; });
			$("#leftPanel").panel("close");
			break;
			case "widget": applist=$.grep(allApplist,function(n,i){return n.widget==sortType; });
			$("#leftPanel").panel("close");
			break;
			case "new": applist=$.grep(allApplist,function(n,i){return n.newApp==sortType; });
			$("#leftPanel").panel("close");
			break;
			case "multi": applist=$.grep(allApplist,function(n,i){return n.multi==sortType; });
			$("#leftPanel").panel("close");
			break;
			default: applist=allApplist;
			break;			
	  	};
		
		$("#data-list").html('');
		$("#listTemplate").tmpl(applist).appendTo("#data-list").trigger('create');
		
		$("#data-list li").slice(20).hide();
		var mincount = 20;
		var maxcount = 40;

		$(window).scroll(function() 
			{
				if($(window).scrollTop() + $(window).height() >= $(document).height() - 200) {
					$("#data-list li").slice(mincount,maxcount).show();
					mincount = mincount+20;
					maxcount = maxcount+20;
					
					if($(window).scrollTop() + $(window).height() >= $(document).height() - 0) {
						$('#load-list').hide();
					}
				}
		});
		
		$('img.lazy').css("height","auto");
		$("img.lazy").lazyload({
            event: "scrollstop"
        });
		
		window.scrollTo(0,0);
		$(".rating").jRating({
		  decimalLength:1,
		  isDisabled:true,
		  type:'big',
		  rateMax:5
		});
	};
	
	//function menuKeyDown() {
		//$("#leftPanel").panel("toggle");
	//}
	function onOffline() {
		$(".bar").show();
	}
	
	function onOnline() {
		$(".bar").hide();
	}
	
	$(window).load(function(){
		$('#loading').hide();
		
		document.addEventListener("deviceready", onDeviceReady, false);
		function onDeviceReady(){
			navigator.splashscreen.hide();
			
			document.addEventListener("offline", onOffline, false);
			document.addEventListener("online", onOnline, false);
			//document.addEventListener("menubutton", menuKeyDown, false);
			
			$(function() {
				FastClick.attach(document.body);
			});
			
			document.addEventListener('backbutton', function(e){
				if($("#leftPanel").hasClass('ui-panel-open')){
					$("#leftPanel").panel("close");	
				}
				
				else if($("#rightPanel").hasClass('ui-panel-open')){
					$("#rightPanel").panel("close");	
				}
				
				else if($.mobile.activePage.is('#rateApp')){
					e.preventDefault();
					navigator.app.exitApp();
				}
				
				else{
					$.mobile.changePage("#rateApp", {role:"dialog"});
				}
			}, false);
		}
	});
</script>

<script src="jquery/data/tmpl.js"></script>
<script>
	var _latest = [
		
	];
</script>

<script id="searchTemplate" type="text/html">
<li data-theme="none" class="ui-screen-hidden">
{{if category}}
	<a href="${playStore}" class="app">${name}<span class="tag"><span class="clgray f14">${starRating}</span><br>${category}</span></a>
{{else}}
	<a href="${playStore}" class="app">${name}<span class="tag"><span class="clgray f14">${starRating}</span><br>LPW</span></a>
{{/if}}
</li>
</script>

<script id="listTemplate" type="text/html">
<li data-theme="none">
	<article>
		<header>
			<span class="rgt cdgray f11">
				{{if video}}
					<a class="vid" href="${video}"></a>				
				{{else}}
					<a class="vid lft none"></a>
				{{else}}
				{{/if}}
			</span>
			{{if starRating}}
			<span class="rating" data-average="${starRating}" data-id="5"><span class="rate">${starRating}</span></span>
			{{/if}}
		</header>
		<section>
			<figure>
			<a href="${playStore}" rel="external" target="foo" class="needsclick">
				<img data-original="${img}" src="img/tiptoptale.png" class="lazy" width="100%" height="100%">
			</a>
			</figure>
			<div class="copy">
				<h2><a onclick="window.plugins.socialsharing.share(null, null, null, '${playStore}')" class="share rgt"></a>${name}</h2>
				<p>${desc}</p>
			</div>
		</section>
		<nav data-role="navbar">
			<ul>
				{{if developer}}
					<li class="dev"><a href="${developer}" data-theme="a" rel="external" target="foo">Developer</a></li>
				{{/if}}
				{{if reviews}}
					<li class="review"><a href="${reviews}" data-theme="a" rel="external" target="foo">Reviews</a></li>
				{{/if}}
				{{if playStore}}
					<li class="play"><a href="${playStore}" data-theme="a" rel="external" target="foo">Play store</a></li>							
				{{/if}}
			</ul>
		</nav>
	</article>
</li>
</script>

<script>
//google analytics
ga_storage._trackPageview('/main','Starting scripts all loaded');
ga_storage._trackEvent('category', 'action', 'label', 'value');
  
$('[data-role=page]').on('pageshow', function (event, ui){
    try {
        page = location.href.replace(/.*\//,'/')
        if (page && page.length > 1) {
            ga_storage._trackPageview(page);
        } else {
            ga_storage._trackPageview();
        }
    } catch(err){
    }
});
</script>
</body>
</html>